policy_import.h File Reference
`#include "daemon/engine.h"`
`#include "db/db_connection.h"`

Go to the source code of this file.

## Macros

#define | POLICY_IMPORT_OK 0
#define | POLICY_IMPORT_ERR_ARGS 1
#define | POLICY_IMPORT_ERR_XML 2
#define | POLICY_IMPORT_ERR_DATABASE 3
#define | POLICY_IMPORT_ERR_MEMORY 4

## Functions

int | policy_import (int sockfd, engine_type *engine, db_connection_t *dbconn, int do_delete)

## Macro Definition Documentation

## POLICY_IMPORT_ERR_ARGS

#define POLICY_IMPORT_ERR_ARGS 1

Indicates an error with the arguments provided to policy_import().

Definition at line 42 of file policy_import.h.

Referenced by policy_import().

## POLICY_IMPORT_ERR_DATABASE

#define POLICY_IMPORT_ERR_DATABASE 3

Indicates an error with the database like reading, updating or creating.

Definition at line 50 of file policy_import.h.

Referenced by policy_import().

## POLICY_IMPORT_ERR_MEMORY

#define POLICY_IMPORT_ERR_MEMORY 4

Indicates a memory allocation error or generic internal error.

Definition at line 54 of file policy_import.h.

Referenced by policy_import().

## POLICY_IMPORT_ERR_XML

#define POLICY_IMPORT_ERR_XML 2

Indicates an error with the KASP XML like parsing, validating or content.

Definition at line 46 of file policy_import.h.

Referenced by policy_import().

## POLICY_IMPORT_OK

#define POLICY_IMPORT_OK 0

Indicates a successful policy import.

Definition at line 38 of file policy_import.h.

Referenced by policy_import().

## Function Documentation

## policy_import()

int policy_import | ( | int | sockfd,
|  | engine_type * | engine,
|  | db_connection_t * | dbconn,
|  | int | do_delete )

extern

Definition at line 196 of file policy_import.c.

References check_kasp(), hsm_key_factory_schedule_generate_all(), hsm_key_list_free(), hsm_key_list_new_get_by_policy_id(), hsm_key_list_next(), __policy_import_policy::name, __policy_import_policy::next, __policy_import_policy_key::next, policy_create(), policy_create_from_xml(), policy_delete(), policy_free(), policy_get_by_name(), policy_id(), POLICY_IMPORT_ERR_ARGS, POLICY_IMPORT_ERR_DATABASE, POLICY_IMPORT_ERR_MEMORY, POLICY_IMPORT_ERR_XML, POLICY_IMPORT_OK, __policy_import_policy_key::policy_key, policy_key_cmp(), policy_key_copy(), policy_key_create(), policy_key_create_from_xml(), policy_key_delete(), policy_key_free(), policy_key_list_free(), policy_key_list_get_by_policy_id(), policy_key_list_get_next(), policy_key_list_new(), policy_key_list_new_get_by_policy_id(), policy_key_list_next(), policy_key_new(), policy_key_role_text(), policy_key_set_policy_id(), policy_list_free(), policy_list_new_get(), policy_list_next(), policy_name(), policy_new(), policy_update(), policy_update_from_xml(), __policy_import_policy::processed, __policy_import_policy_key::processed, signconf_task_flush_all(), zone_list_db_free(), zone_list_db_new_get_by_policy_id(), and zone_list_db_next().